%define _requires_exceptions devel\\(.*\\)

Name:           akonadi-contacts
Version: 		23.08.5
Release:        %mkrel 1
Summary:        Akonadi Contacts Integration
License:        GPLv2+ and LGPLv2+
Group:          Graphical desktop/KDE5
URL:            https://www.kde.org/
Source0:        http://download.kde.org/stable/applications/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires: cmake 
BuildRequires: lib64boost-devel
BuildRequires: lib64grantlee-devel 
BuildRequires: lib64ical-devel
BuildRequires: lib64kcodecs-devel 
BuildRequires: lib64kconfig-devel 
BuildRequires: lib64kcoreaddons-devel 
BuildRequires: lib64kf5akonadi-devel 
BuildRequires: lib64kf5auth-devel 
BuildRequires: lib64kf5completion-devel 
BuildRequires: lib64kf5configwidgets-devel 
BuildRequires: lib64kf5dbusaddons-devel 
BuildRequires: lib64kf5i18n-devel 
BuildRequires: lib64kf5iconthemes-devel 
BuildRequires: lib64kf5kcontacts-devel 
BuildRequires: lib64kf5mime-devel
BuildRequires: lib64kf5service-devel 
BuildRequires: lib64kf5sonnetui-devel 
BuildRequires: lib64kf5textwidgets-devel 
BuildRequires: lib64kf5widgetsaddons-devel 
BuildRequires: lib64kf5xmlgui-devel 
BuildRequires: lib64kio-devel 
BuildRequires: lib64qt5core-devel 
BuildRequires: lib64qt5dbus-devel 
BuildRequires: lib64qt5gui-devel 
BuildRequires: lib64qt5network-devel 
BuildRequires: lib64qt5webengine-devel 
BuildRequires: lib64qt5widgets-devel 

Requires: lib64kf5kcontacts5

%description
Akonadi Contacts Integration.

%files
%_kf5_datadir/kf5/akonadi/contact/
%_kf5_datadir/locale
%_kf5_datadir/qlogging-categories5/akonadi-contacts.categories
%_kf5_datadir/qlogging-categories5/akonadi-contacts.renamecategories
%_kf5_datadir/akonadi/plugins/serializer/akonadi_serializer_addressee.desktop
%_kf5_datadir/akonadi/plugins/serializer/akonadi_serializer_contactgroup.desktop
#--------------------------------------------------------------------

%define kf5akonadicontact_major 5
%define libkf5akonadicontact %mklibname kf5akonadicontact %{kf5akonadicontact_major}

%package -n %{libkf5akonadicontact}
Summary:      Akonadi Contacts Integration main library
Group:        System/Libraries
Requires:   %name

%description -n %{libkf5akonadicontact}
Akonadi Contacts Integration main library.

%files -n %{libkf5akonadicontact}
%_kf5_libdir/lib*.so.*
%_kf5_libdir/qt5/plugins/akonadi_serializer_addressee.so
%_kf5_libdir/qt5/plugins/akonadi_serializer_contactgroup.so
#--------------------------------------------------------------------

%define kf5akonadicontact_devel %mklibname kf5akonadicontact -d

%package -n %{kf5akonadicontact_devel}
Summary:        Devel stuff for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       %{libkf5akonadicontact} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{kf5akonadicontact_devel}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{kf5akonadicontact_devel}
%_includedir
%_kf5_libdir/*.so
%_kf5_libdir/qt5/mkspecs
%_kf5_libdir/cmake
#--------------------------------------------------------------------

%prep
%setup -q

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"


%cmake_kf5 -GNinja

%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build


%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

